Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
Luis_POffline
Post subject: [Solved] Gimp issue  PostPosted: 19.02.2011, 19:45



Joined: 2010-09-11
Posts: 152
Location: Barcelona, Spain
Status: Offline
I've a problem with gimp. If I try to open it from a console, I get:

      Code:

$ gimp
gimp: error while loading shared libraries: libgegl-0.0.so.0: cannot open shared object file: No such file or directory


More info:

      Code:

$ apt-cache policy gimp
gimp:
  Installed: 2.6.11-1
  Candidate: 2.6.11-1
  Version table:
 *** 2.6.11-1 0
        500 http://ftp.es.debian.org/debian/ sid/main amd64 Packages
        100 /var/lib/dpkg/status


I've tried to remove and purge gimp, gimp-plugin-registry, libgegl-0.0-0 and, after that, install them again with no success.

Any clue?

Regards.

Luis_P.


Last edited by Luis_P on 20.02.2011, 16:35; edited 1 time in total
 
 View user's profile Send private message  
Reply with quote Back to top
LatOffline
Post subject: RE: Gimp issue  PostPosted: 19.02.2011, 20:26



Joined: 2010-09-19
Posts: 168

Status: Offline
I think debian's gimp is very old.
towo|'s repo has
      Code:
gimp:
  Installed: 2.7.2~git20100807
  Candidate: 2.7.2~git20100807
  Version table:
 *** 2.7.2~git20100807 0
        500 http://frickelplatz.de/debian/ sid/main amd64 Packages
        100 /var/lib/dpkg/status
     2.6.11-1 0
        500 http://ftp.us.debian.org/debian/ testing/main amd64 Packages
        500 http://ftp.us.debian.org/debian/ sid/main amd64 Packages
libgegl-0.0-0:
  Installed: 0.1.3-1
  Candidate: 0.1.3-1
  Version table:
 *** 0.1.3-1 0
        500 http://frickelplatz.de/debian/ sid/main amd64 Packages
        100 /var/lib/dpkg/status
     0.0.22-2+b1 0
        500 http://ftp.us.debian.org/debian/ testing/main amd64 Packages
        500 http://ftp.us.debian.org/debian/ sid/main amd64 Packages
It works fine
 
 View user's profile Send private message  
Reply with quote Back to top
redsidOffline
Post subject:   PostPosted: 19.02.2011, 20:34



Joined: 2011-02-08
Posts: 32
Location: Lake Otsego
Status: Offline
I'm old so I'm using the latest sid version of Gimp like Luis_P! And I might add, it works perfectly. Here is where it should be, Luis. /usr/lib/libgegl-0.0.so.0. I haven't a clue why it should be missing. Most of these lib's are for the endless extensions, filters, etc.
 
 View user's profile Send private message  
Reply with quote Back to top
Luis_POffline
Post subject: Solved  PostPosted: 20.02.2011, 16:35



Joined: 2010-09-11
Posts: 152
Location: Barcelona, Spain
Status: Offline
Finally I could resolve this issue. It seems that were some bad symlinks to libgegl and libbabl in /usr/lib. The solution comes from deleting, purging and installing again libgegl and libbabl in addition to gimp.

Thanks, folks.

Luis_P
 
 View user's profile Send private message  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 12 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by Zafenio